openvas-cli 1.4.2 (2015-07-09)

This is the second maintenance release of the 1.4 version of the OpenVAS Command
Line Interface (CLI) for the Open Vulnerability Assessment System release 8
(OpenVAS-8).

Many thanks to everyone who has contributed to this release:
Benoît Allard and Michael Wiegand.

Main changes compared to 1.4.1:
* The timeout option (-t) is now supported by more actions in the Nagios plugin
  check_omp.
* check_omp now exits with an exit code of NAGIOS_UNKNOWN instead of
  NAGIOS_CRITICAL when a result could not be retrieved.
* The minimum required version of OpenVAS Libraries has been raised to 8.0.4.


openvas-cli 1.4.1 (2015-05-26)

This is the first maintenance release of the 1.4 version of the OpenVAS Command
Line Interface (CLI) for the Open Vulnerability Assessment System release 8
(OpenVAS-8).

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Eero Volotinen, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 1.4.0:
* The omp binary now supports the "--filter" parameter for report retrieval.
* The omp binary now supports the "--details" parameter for task retrieval.
* The check_omp binary now exits with NAGIOS_UNKNOWN instead of NAGIOS_CRITICAL
  when a requested task could not be found.


openvas-cli 1.4.0 (2015-03-16)

This is the first release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the Open Vulnerability Assessment System release 8
(OpenVAS-8).

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to the 1.3 series:
* The openvas-libraries dependency has been raised to 8.0.0.
* Both omp and check_omp have been updated to use more appropriate filters.
* The Nagios plugin check_omp now uses a filter for task retrieval, resulting
  in a performance gain.
* Support for choosing the certificates used for client authentication on the
  command line has been added.

Main changes compared to 1.4+beta5:
* Support for choosing the certificates used for client authentication on the
  command line has been added.


openvas-cli 1.4+beta5 (2015-01-12)

This is the fifth beta release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the upcoming Open Vulnerability Assessment System release 8
(OpenVAS-8).

This release improves the task retrieval performance and simplifies command
line option parsing for the Nagios plugin check_omp. It also updates the
command line help for check_omp.

Many thanks to everyone who has contributed to this release:
Jan-Oliver Wagner and Michael Wiegand

Main changes compared to 1.4+beta4:
* The Nagios plugin check_omp now uses a filter for task retrieval, resulting
  in a performance gain.
* Command line option parsing has been simplified for check_omp.
* The command line help for check_omp has been updated.


openvas-cli 1.4+beta4 (2014-11-24)

This is the fourth beta release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the upcoming Open Vulnerability Assessment System release 8
(OpenVAS-8).

This release makes adjustments for the latest changes in OpenVAS Libraries and
updates the filters used in the omp and check_omp binaries.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles and Matthew Mundell.

Main changes compared to 1.4+beta2:
* Both omp and check_omp have been updated to use more appropriate filters.
* The build process has been adjusted for changes in OpenVAS Libraries.


openvas-cli 1.4+beta3 (2014-10-14)

This is the third beta release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the upcoming Open Vulnerability Assessment System release 8
(OpenVAS-8).

This release adds support checking the status of an OMP server ("OMP ping").

Many thanks to everyone who has contributed to this release:
Michael Wiegand.

Main changes compared to 1.4+beta2:
* Support for checking the status of an OMP server ("OMP ping") has been added.


openvas-cli 1.4+beta2 (2014-09-23)

This is the second beta release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the upcoming Open Vulnerability Assessment System release 8
(OpenVAS-8).

This release fixes an issue which caused the omp binary to ignore arguments and
exit early under certain circumstances.

Many thanks to everyone who has contributed to this release:
Matthew Mundell.

Main changes compared to 1.4+beta1:
* An issue which caused the omp binary to ignore arguments and exit early under
  certain circumstances has been fixed.


openvas-cli 1.4+beta1 (2014-09-05)

This is the first beta release of the 1.4 version of the OpenVAS Command Line
Interface (CLI) for the upcoming Open Vulnerability Assessment System release 8
(OpenVAS-8).

This release features a number of small adjustments to ensure OpenVAS CLI builds
with the OpenVAS Libraries of OpenVAS-8. It also add a new --send-file option to
the omp binary and removes the obsolete --rc option.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 1.3.0:
* The openvas-libraries dependency has been raised to 8.0.0.
* The obsolete --rc option for the omp binary has been removed.
* The --send-file option of the omp binary has been added.
* A number of small adjustments for compatibility with OpenVAS-8.


openvas-cli 1.3.0 (2014-04-10)

This is the 1.3.0 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System release 7 (OpenVAS-7).

The mission of OpenVAS CLI Client is to allow creating batch processes for
OpenVAS Manager using the protocol OMP.  The command line tool runs on various
Windows, MacOSX, GNU/Linux and other unixoid operating systems.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Andre Heinecke, Jan-Oliver Wagner and Michael Wiegand.

Main changes since 1.2.x:
* Support for building a statically linked version of the OMP client has been
  added.
* Support for entering passwords on Microsoft Windows has been added.
* Support for Unicode passwords on Microsoft Windows has been added.
* The Nagios plugin has been improved and now supports features like automatic
  false positive filtering, display of DFN CERT IDs and Nagios compatible
  performance data.
* The openvas-libraries dependency has been raised to 7.0.0.

And additionally changes compared to last 1.3+beta2:
* Add support for Windows style help requests using "/?".
* Add --use-certs option to use OpenVAS client certificates for authentication.


openvas-cli 1.3+beta2 (2013-09-30)

This is the second beta release of the 1.3 version of the OpenVAS Command Line
Interface (CLI) for the Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.3 is part of the upcoming OpenVAS-7 and supports OMP 2.0,
OMP 3.0, OMP 4.0 and compatible subsets of future versions.

This release adds support for building a statically linked version of the OMP
client and improves Microsoft Windows compatibility.

Many thanks to everyone who has contributed to this release:
Andre Heinecke, Jan-Oliver Wagner and Michael Wiegand.

Main changes compared to 1.3.1+beta1:
* Support for building a statically linked version of the OMP client has been
  added.
* Support for entering passwords on Microsoft Windows has been added.
* Support for Unicode passwords on Microsoft Windows has been added.


openvas-cli 1.3+beta1 (2013-07-02)

This is the first beta release of the 1.3 version of the OpenVAS Command Line
Interface (CLI) for the Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.3 is part of the upcoming OpenVAS-7 and supports OMP 2.0,
OMP 3.0, OMP 4.0 and compatible subsets of future versions.

This release features an updated and improved Nagios Plugin.

Many thanks to everyone who has contributed to this release:
Michael Wiegand.

Main changes compared to 1.2.0:
* The Nagios plugin has been improved and now supports features like automatic
  false positive filtering, display of DFN CERT IDs and Nagios compatible
  performance data.
* The openvas-libraries dependency has been raised to 7.0.0.


openvas-cli 1.2.0 (2013-04-15)

This is the 1.2.0 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System release 6 (OpenVAS-6).

The mission of OpenVAS CLI Client is to allow creating batch processes for
OpenVAS Manager using the protocol OMP.  The command line tool runs on various
Windows, MacOSX, GNU/Linux and other unixoid operating systems.

OpenVAS CLI 1.2 is part of OpenVAS-6 and supports OMP 2.0, OMP 3.0, OMP 4.0 and
compatible subsets of future versions.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Marcus Brinkmann, Andre Heinecke, Werner Koch, Michael Meyer,
Matthew Mundell, Jan-Oliver Wagner, Michael Wiegand and Sascha Wilde.

Main changes since 1.1.x:
* New OMP based Nagios plugin.
* New ncurses based OMP interface.
* Observed task are now shown per default.
* Out-of-sources builds are now possible for all targets.
* The openvas-libraries dependency has been raised to 6.0.0.
* The GnuTLS dependency has been raised from 2.2 to 2.8.
* Support for building a statically linked version of the OMP based Nagios
  plugin has been added.

And additionally changes compared to last release candidate 1.2+rc1:
* Support for GnuTLS debugging has been improved.


openvas-cli 1.2+rc1 (2013-03-19)

This is the first release candidate of the 1.2 version of the OpenVAS Command
Line Interface (CLI) for the Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.2 is part of the upcoming OpenVAS-6 and supports OMP 2.0,
OMP 3.0, OMP 4.0 and compatible subsets of future versions.

This release includes a fix for get_tasks command and increased GnuTLS
dependency to 2.8.

Many thanks to everyone who has contributed to this release:
Michael Wiegand, Jan-Oliver Wagner.

Main changes compared to 1.2.0+beta2:
* Use omp_get_tasks_ext instead of omp_get_tasks so that observed tasks show up.
* Increase GnuTLS dependency version from 2.2 to 2.8.


openvas-cli 1.2+beta2 (2013-02-22)

This is the second beta release of the 1.2 version of the OpenVAS Command Line
Interface (CLI) for the Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.2 is part of the upcoming OpenVAS-6 and supports OMP 2.0,
OMP 3.0, OMP 4.0 and compatible subsets of future versions.

This release adds support for building a statically linked version of the OMP
based Nagios plugin.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Jan-Oliver Wagner, Michael Wiegand and Sascha Wilde.

Main changes compared to 1.2.0+beta1:
* Support for building a statically linked version of the OMP based Nagios
  plugin has been added.


openvas-cli 1.2+beta1 (2012-12-14)

This is the first beta release of the 1.2 version of the OpenVAS Command Line
Interface (CLI) for the Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.2 is part of the upcoming OpenVAS-6 and supports OMP 2.0,
OMP 3.0, OMP 4.0 and compatible subsets of future versions.

This release introduces an OMP based Nagios plugin and an ncurses based
OMP interface. It also enables out-of-source builds and fixes an issue
which caused observed tasks not to be shown per default.

Many thanks to everyone who has contributed to this release:
Hani Benhabiles, Marcus Brinkmann, Andre Heinecke, Werner Koch, Michael
Meyer, Matthew Mundell, Jan-Oliver Wagner, Michael Wiegand and Sascha
Wilde.

Main changes compared to 1.1.5:
* New OMP based Nagios plugin.
* New ncurses based OMP interface.
* Observed task are now shown per default.
* Out-of-sources builds are now possible for all targets.
* The openvas-libraries dependency has been raised to 6.0+beta3.


openvas-cli 1.1.5 (2012-07-19)

This is the 1.1.5 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.1 is part of OpenVAS 4 and OpenVAS 5 and supports OMP 2.0,
OMP 3.0 and compatible subsets of future versions.

This release fixes build issues and allows it to use future OMP versions
as long as commands are still compatible.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Michael Wiegand and Jan-Oliver Wagner.

Main changes compared to 1.1.4:
* Clean up CMake infrastructure and ensure that compilation with modern
  gccs works.
* If the OMP version is unknown just treat it like version 3.0, as later
  versions may still work with the 3.0 settings.


openvas-cli 1.1.4 (2011-12-06)

This is the 1.1.4 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.1 is part of OpenVAS 4 and supports both the OMP 2.0 and the
upcoming OMP 3.0 protocol.

This release adds support for OMP 3.0 when retrieving reports.

Many thanks to everyone who has contributed to this release:
Henri Doreau, Matthew Mundell and Michael Wiegand.

Main changes compared to 1.1.3:
* Support for OMP 3.0 when retrieving reports has been added.


openvas-cli 1.1.3 (2011-10-12)

This is the 1.1.3 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.1 is part of OpenVAS 4 and supports the protocol OMP 2.0 protocol.

This release adds support for reading XML input from stdin.

Many thanks to everyone who has contributed to this release:
Matthew Mundell and Michael Wiegand.

Main changes compared to 1.1.2:
* The "omp" command now accepts XML input from stdin when using the "-X"
  parameter.


openvas-cli 1.1.2 (2011-02-21)

This is the 1.1.2 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.1 is part of OpenVAS 4 and supports the protocol OMP 2.0 protocol.

This release features cleanups in the build process and fixes an issue with
incorrect documentation on the man page.

Many thanks to everyone who has contributed to this release:
Michael Wiegand.

Main changes compared to 1.1.0:
* The build environment has been consolidated.
* The documentation for the password parameter on the man page has been
  corrected.


openvas-cli 1.1.1 (2011-02-04)

This is the 1.1.1 release of the OpenVAS Command Line Interface (CLI) for the
Open Vulnerability Assessment System (OpenVAS).

OpenVAS CLI 1.1 is part of OpenVAS 4 and supports the protocol OMP 2.0 protocol.

This release feature updates to the build process, improved documentation and
an improved handling of authentication passwords.

Many thanks to everyone who has contributed to this release:
Matthew Mundell, Jan-Oliver Wagner and Michael Wiegand

Main changes compared to 1.1.0:
* Hardening flags are now enabled during compile time to increase code quality.
* The output of --version is now compliant with the GNU Coding Standards.
* The omp binary now warns about revealing passwords when verbose output is
  requested.
* OpenVAS CLI now use pkg-config to find required libraries.
* OpenVAS CLI now provides a manual page for the omp binary.
* The authentication password can now be entered interactively.


openvas-cli 1.1.0 (2010-12-03)

This is the 1.1.0 release of the OpenVAS Command Line Interface
(CLI) for the Open Vulnerability Assessment System (OpenVAS).

The mission of OpenVAS CLI Client is to allow creating
batch processes for OpenVAS Manager using the protocol OMP.
The command line tool runs on various Windows, MacOSX,
GNU/Linux and other unixoid operating systems.

OpenVAS CLI 1.1 is part of OpenVAS 4 and supports the
upcoming protocol OMP 2.0.

Main changes compared to 1.1+rc1:
* New parameter: --get-configs for retrieving a list of scan configs.
* New parameter: --get-targets for retrieving a list of targets.


openvas-cli 1.1+rc1 (2010-11-22)

This release is the first release candidate of the upcoming 1.1 release
of the OpenVAS Command Line Client. It is the command line interface
that allows to create batch processes for OpenVAS Manager using
the protocol OMP.
Release 1.1 is part of OpenVAS 4, the next generation
of the Open Vulnerability Assessment System.

This release features improved compatibility across different OMP versions,
improved documentation, two new command shortcuts and ensures that special
characters are handled correctly in OMP requests.

Many thanks to everyone who has contributed to this release since 1.0.0:
Matthew Mundell, Michael Wiegand and Felix Wolfsteller.

Main changes compared to 1.0:
* Special characters in OMP commands (like umlauts) are now handled correctly.
* The documentation has been improved; source code documentation can now be
  generated using the "make doc" and "make doc-full" commands.
* Compatibility with different OMP versions has been improved.
* New parameter: --get-report-formats for retrieving the available report
  formats (OMP 2.0 only).
* New parameter: --get-omp-version for determining the OMP version used by the
  server.


openvas-cli 1.0.0 (2010-08-03)

This is the 1.0.0 release of the openvas-cli module, an OMP command line client
for the Open Vulnerability Assessment System (OpenVAS).

The OpenVAS CLI contains the command line tool "omp" which allows to send any
command of the OpenVAS Management Protocol (OMP) in original form and some of
the commands as short cuts.  This allows to create batch processes for remote
control of OpenVAS.

OpenVAS CLI is licensed under GNU General Public License Version 2 or any later
version.

Many thanks to everyone who has contributed to this release since 0.2.0:
Jan-Oliver Wagner and Michael Wiegand

Main changes compared to 0.2.0:
* The build environment and the code have been cleaned up and made more
  consistent with the other OpenVAS modules.
* The documentation has been updated.


openvas-cli 0.2.0 (2010-07-19)

This is the second public release of the openvas-cli module for the Open
Vulnerability Assessment System (OpenVAS).

Many thanks to everyone who has contributed to this release:
Stephan Kleine, Matthew Mundell, Jan-Oliver Wagner, Michael Wiegand and Felix
Wolfsteller.

Main changes compared to 0.1.0:
* The build environment has been improved. It is now possible to use MinGW to
  compile openvas-cli for Microsoft Windows.
* Support for storing the connection credentials in a configuration file has
  been added.
* The --get-status parameter has been renamed to --get-tasks to reflect the
  updates in the OMP specification.
* The openvas-libraries dependency has been raised to 3.1.0.


openvas-cli 0.1.0 (2010-03-22)

This is the first public release of the openvas-cli module for the Open
Vulnerability Assessment System (OpenVAS).

The OpenVAS CLI module collects command line tools to communication
with OpenVAS services. Primarily this is the "omp" tool
to use the OpenVAS Management Protocol (OMP) to communicate
with the OpenVAS Manager.
